@echo OFF

:: Set the home to the directory of the current bat file.
set IQ_HOME=%~dp0..

:: Set the required oracle env variables.
set ORACLE_PATH=%IQ_HOME%\bin
set LD_LIBRARY_PATH=%ORACLE_PATH%
set PATH=%ORACLE_PATH%;%PATH%

:: Run the daemon
%IQ_HOME%\bin\iqchanneld.exe --config %IQ_HOME%\config\config.yaml %1
